package holeg.ui.model;

import java.util.ArrayList;

import holeg.model.AbstractCanvasObject;
import holeg.model.Edge;
import holeg.model.HolonObject;

public class MinimumNetwork {
	private ArrayList<HolonObject> holonObjectList = new ArrayList<HolonObject>();
	private ArrayList<Edge> edgeList = new ArrayList<Edge>();
	//ToCalculate average path
	private ArrayList<AbstractCanvasObject> nodeAndSwitches = new ArrayList<AbstractCanvasObject>();
	public MinimumNetwork(ArrayList<HolonObject> holonObjectList, ArrayList<Edge> edgeList){
		this.holonObjectList = holonObjectList;
		this.edgeList = edgeList;
	}
	public ArrayList<HolonObject> getHolonObjectList() {
		return holonObjectList;
	}
	public ArrayList<Edge> getEdgeList() {
		return edgeList;
	}
	public String toString()
	{
		String objecte = "[";
		for(HolonObject object :holonObjectList) {
			objecte += " " + object.getName();
		}
		objecte += "]";
		String edges = "[";
		for(Edge edge :edgeList) {
			edges += " " + edge;
		}
		edges += "]";
		return objecte + edges;
	}
	public ArrayList<AbstractCanvasObject> getNodeAndSwitches() {
		return nodeAndSwitches;
	}
}
