package holeg.ui.model;

import holeg.model.AbstractCanvasObject;
import holeg.model.Edge;
/**
 * For the Visual State.
 * @author Tom
 *
 */
public class ExitCable {
	//Classification 
	public enum ExitCableState {
		UP, DOWN, DOWNUP, DOWNDOWN
	}
	private ExitCableState state;
	//GroupNode or AbstractCpsObject
	private AbstractCanvasObject start;
	private AbstractCanvasObject finish;
	private Edge edge;
	
	public ExitCable(ExitCableState state, AbstractCanvasObject start, AbstractCanvasObject finish, Edge edge) {
		this.state = state;
		this.start = start;
		this.finish = finish;
		this.edge = edge;
	}

	public ExitCableState getState() {
		return state;
	}
	public AbstractCanvasObject getStart() {
		return start;
	}
	public AbstractCanvasObject getFinish() {
		return finish;
	}
	public Edge getEdge() {
		return edge;
	}

}
